#pragma once

#include "GameObject.h"
#include "Team.h"
#include "Gegenstand.h"

class Spieler : public GameObject
{
public:
    class Style
    {
        const static int MOVES_RIGHT = 1;
        const static int MOVES_LEFT = 2;
        const static int MOVES_BOTTOM = 4;
        const static int MOVES_TOP = 8;
        const static int AM_LEBEN = 0x10;
        const static int UNSICHTBAR = 0x20;
        const static int ENTERHAKEN_AKTIV = 0x40;
        const static int ENTERHAKEN_UNVERWUNDBAR = 0x40;
    };
private:
    int spielerNummer;
    Team *team;
    int style;
    int maxWiederbelebungsZeit;
    float wiederbelebungsZeit;
    GegenstandTyp zuletztAufgehoben;
    GegenstandTyp zuletztAktiviert;
    int leben;
    int maxLeben;
    int level;
    int erfahrung;
    int maxErfahrung;
    int spawnX;
    int spawnY;
    int laufTempo;
    int geschossTempo;
    int armor;
    int schadensBonus;
    int lebensraub;
    int lebensregeneration;
    int abklingZeitVerringerung;
    int color;
    float gegenstandAbklingzeit[ ITEMANZAHL ];
    int kills;
    int tode;
    int treffer;
    int getroffen;
    int schadenGenommen;
    int schadenGemacht;
    int lebenGeheilt;
    int erhalteneErfahrung;
    int itemsAufgehoben;
    int itemsVerwendet;
    int tunnelBenutzt;
    int schalterAktiviert;
    int geschosseGeschossen;

public:
    Spieler( int id, Team *team, int spawnX, int spawnY, int breite, int height );
    ~Spieler();

};